### Method

# Fwupd Client emulation_load

#### Declaration [src]

    gboolean
    fwupd_client_emulation_load (
      FwupdClient* self,
      const gchar* filename,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Loads an emulated device into the daemon backend that has the phases set by the JSON data, for instance, having one USB device emulated for the bootloader and another emulated for the runtime interface.

Available since: | 2.0.0

#### Parameters

`filename` | `const gchar*`
| Archive data of JSON files.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.